# PSF-LoginServer - master - net.psforever.objects.serverobject.environment.EnvironmentCollision
PSF - LoginServer - master - net.psforever.objects.serverobject.environment.EnvironmentCollision
Keywords: PSF LoginServer master net.psforever.objects.serverobject.environment.EnvironmentCollision

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package environment
  Definition Classes
    serverobject
- DeepCircularSurface
- DeepPlane
- DeepSquare
- DeepSurface
- EnvironmentAttribute
- EnvironmentCollision
- EnvironmentTrait
- EscapeFromEnvironment
- GantryDenialField
- InteractWithEnvironment
- InteractingWithEnvironment
- OxygenStateTarget
- PieceOfEnvironment
- Pool
- RecoveredFromEnvironmentInteraction
- RespondsToZoneEnvironment
- SeaLevel

t

net.psforever.objects.serverobject.environment

# EnvironmentCollision

###

#### trait EnvironmentCollision extends AnyRef

The coordinate representation of a feature of the game world that is not a formal game object, usually terrain, but can be used to represent any bounded region. Calling this "geometry" would be accurate yet still generous.

Source
  EnvironmentCollision.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
DeepCircularSurface, DeepPlane, DeepSquare, DeepSurface

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. EnvironmentCollision
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def altitude: Float

   in general, the highest point in this geometry

2.  abstract def bounding: Rectangle
3.  abstract def testInteraction(pos: Vector3, varDepth: Float): Boolean

   Is the test point "within" the bounds of the represented environment?

   Is the test point "within" the bounds of the represented environment?

   pos

     the test point

   varDepth

     how far "into" the environment the point must be

   returns

     `true`, if the point is sufficiently "deep"; `false`, otherwise

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped